Stampfactory
Dokumentation
Abwesenheitsarten

Abwesenheitsart erstellen

Create a custom absence type

POST
/absence_types
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Request-Body

application/json

TypeScript-Definitionen

TypeScript-Typ für request body.

Response-Body

application/json

application/json

application/json

curl -X POST "https://example.com/absence_types" \  -H "Content-Type: application/json" \  -d '{    "slug": "string",    "name": "string",    "category": "standard",    "unit": "day",    "substitute_option": "disabled"  }'
{  "data": {    "id": "string",    "slug": "string",    "name": "string",    "color": "string",    "icon": "string",    "is_system": "string",    "category": "string",    "unit": "string",    "half_day_allowed": "string",    "affects_vacation": "string",    "target_work_factor": 0,    "working_time_flag": "string",    "requires_approval": "string",    "is_paid": "string",    "certificate_required": "string",    "certificate_deadline_days": "string",    "substitute_option": "string",    "count_weekdays_only": "string",    "is_active": "string",    "sort_order": "string"  }}